Subject: Re: [PATCH v2] SubmittingPatches: allow non-real name contributions

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 16 Jul 2025 07:47:25 +0200

On Wed, Jul 16, 2025 at 12:44:57AM -0400, Jeff King wrote:
> On Wed, Jul 16, 2025 at 12:25:23AM +0000, brian m. carlson wrote:
> 
> > -Also notice that a real name is used in the `Signed-off-by` trailer. Please
> > -don't hide your real name.
> > +Please use a known identity in the `Signed-off-by` trailer, since we cannot
> > +accept anonymous contributions. It is common, but not required, to use some form
> > +of your real name. We realize that some contributors are not comfortable doing
> > +so or prefer to contribute under a pseudonym or preferred name and we can accept
> > +your patch either way, as long as the name and email you use are distinctive,
> > +identifying, and not misleading.
> > +
> > +The goal of this policy is to allow us to have sufficient information to contact
> > +you if questions arise about your contribution.
> 
> Thanks for updating. I think this reads very well, and you included all
> of the citations I asked for in the commit message. So this looks good
> to me!

Seconded, I'm also very much supportive of this change and like this
version. Thanks!

Patrick